Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.manager
Interface RuntimeEnvironmentBuilderFactory

All Known Implementing Classes:
  RuntimeEnvironmentBuilder, RuntimeEnvironmentBuilder.Factory

    public interface RuntimeEnvironmentBuilderFactory

Method Summary
`RuntimeEnvironmentBuilder` | `newClasspathKmoduleDefaultBuilder()` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.
`RuntimeEnvironmentBuilder` | `newClasspathKmoduleDefaultBuilder(String kbaseName, String ksessionName)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.
`RuntimeEnvironmentBuilder` | `newDefaultBuilder()` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment
`RuntimeEnvironmentBuilder` | `newDefaultBuilder(ReleaseId releaseId)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
`RuntimeEnvironmentBuilder` | `newDefaultBuilder(ReleaseId releaseId, String kbaseName, String ksessionName)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
`RuntimeEnvironmentBuilder` | `newDefaultBuilder(String groupId, String artifactId, String version)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
`RuntimeEnvironmentBuilder` | `newDefaultBuilder(String groupId, String artifactId, String version, String kbaseName, String ksessionName)` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment This one is tailored to works smoothly with kjars as the notion of kbase and ksessions
`RuntimeEnvironmentBuilder` | `newDefaultInMemoryBuilder()` Provides default configuration of `RuntimeEnvironmentBuilder` that is based on: DefaultRuntimeEnvironment but it does not have persistence for process engine configured so it will only store process instances in memory
`RuntimeEnvironmentBuilder` | `newEmptyBuilder()` Provides completely empty `RuntimeEnvironmentBuilder` instance that allows to manually set all required components instead of relying on any defaults.

Method Detail

### newEmptyBuilder

    RuntimeEnvironmentBuilder newEmptyBuilder()

  Provides completely empty `RuntimeEnvironmentBuilder` instance that allows to manually set all required components instead of relying on any defaults.

  Returns:
    new instance of `RuntimeEnvironmentBuilder`

### newDefaultBuilder

    RuntimeEnvironmentBuilder newDefaultBuilder()

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment

  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### newDefaultInMemoryBuilder

    RuntimeEnvironmentBuilder newDefaultInMemoryBuilder()

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  but it does not have persistence for process engine configured so it will only store process instances in memory

  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### newDefaultBuilder

    RuntimeEnvironmentBuilder newDefaultBuilder(String groupId,
                                                String artifactId,
                                                String version)

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  This one is tailored to works smoothly with kjars as the notion of kbase and ksessions

  Parameters:
    `groupId` - group id of kjar
    `artifactId` - artifact id of kjar
    `version` - version number of kjar
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### newDefaultBuilder

    RuntimeEnvironmentBuilder newDefaultBuilder(String groupId,
                                                String artifactId,
                                                String version,
                                                String kbaseName,
                                                String ksessionName)

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  This one is tailored to works smoothly with kjars as the notion of kbase and ksessions

  Parameters:
    `groupId` - group id of kjar
    `artifactId` - artifact id of kjar
    `version` - version number of kjar
    `kbaseName` - name of the kbase defined in kmodule.xml stored in kjar
    `ksessionName` - name of the ksession define in kmodule.xml stored in kjar
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### newDefaultBuilder

    RuntimeEnvironmentBuilder newDefaultBuilder(ReleaseId releaseId)

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  This one is tailored to works smoothly with kjars as the notion of kbase and ksessions

  Parameters:
    `releaseId` - `ReleaseId` that described the kjar
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### newDefaultBuilder

    RuntimeEnvironmentBuilder newDefaultBuilder(ReleaseId releaseId,
                                                String kbaseName,
                                                String ksessionName)

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  This one is tailored to works smoothly with kjars as the notion of kbase and ksessions

  Parameters:
    `releaseId` - `ReleaseId` that described the kjar
    `kbaseName` - name of the kbase defined in kmodule.xml stored in kjar
    `ksessionName` - name of the ksession define in kmodule.xml stored in kjar
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### newClasspathKmoduleDefaultBuilder

    RuntimeEnvironmentBuilder newClasspathKmoduleDefaultBuilder()

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself. Expects to use default kbase and ksession from kmodule.

  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

### newClasspathKmoduleDefaultBuilder

    RuntimeEnvironmentBuilder newClasspathKmoduleDefaultBuilder(String kbaseName,
                                                                String ksessionName)

  Provides default configuration of `RuntimeEnvironmentBuilder` that is based on:
  - DefaultRuntimeEnvironment
  It relies on KieClasspathContainer that requires to have kmodule.xml present in META-INF folder which defines the kjar itself.

  Parameters:
    `kbaseName` - name of the kbase defined in kmodule.xml
    `ksessionName` - name of the ksession define in kmodule.xml
  Returns:
    new instance of `RuntimeEnvironmentBuilder` that is already preconfigured with defaults
  See Also:
    `DefaultRuntimeEnvironment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.